namespace GameData
{
    /// <summary>
    /// 资源名称
    /// </summary>
    public static class ResName
    {
        /// <summary>
        /// 房卡
        /// </summary>
        public const int RoomCard = 10001;

        /// <summary>
        /// 钻石
        /// </summary>
        public const int Diamond = 10002;

        /// <summary>
        /// 金币
        /// </summary>
        public const int Gold = 10003;

        /// <summary>
        /// 复活卡
        /// </summary>
        public const int ReviveCard = 10004;

        /// <summary>
        /// 公会令
        /// </summary>
        public const int ClubToken = 10005;

        /// <summary>
        /// 总公会令
        /// </summary>
        public const int ClubSuperToken = 10006;

        /// <summary>
        /// 参赛券
        /// </summary>
        public const int MatchCard = 10007;

        /// <summary>
        /// 门票
        /// </summary>
        public const int Ticket = 10008;

        /// <summary>
        /// 礼券
        /// </summary>
        public const int Wincoupon = 10009;

        /// <summary>
        /// 红卡
        /// </summary>
        public const int RedMoney = 10010;

        /// <summary>
        /// 记牌器
        /// </summary>
        public const int HandTracker = 200000;
    }

    public static class ResFunc
    {
        public static int GetEmailNewResId(int orgId)
        {
            if (orgId > 10) return orgId;
            switch (orgId)
            {
                case 0: return ResName.Gold;
                case 1: return ResName.RoomCard;
                case 2: return ResName.Wincoupon;
                case 3: return ResName.Diamond;
                case 4: return ResName.ReviveCard;
                case 5: return ResName.MatchCard;
                case 7: return ResName.Ticket;
            }

            return orgId;
        }
    }
    
}
